

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Installation &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Configuration files for POSYDON" href="../run_mesa_grids/inifile.html" />
    <link rel="prev" title="Welcome to POSYDON’s documentation!" href="../index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#conda">Conda</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#macos">MacOS</a></li>
<li class="toctree-l3"><a class="reference internal" href="#unix">Unix</a></li>
<li class="toctree-l3"><a class="reference internal" href="#installation-notes-faq">Installation Notes/FAQ</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>Installation</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/install/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="installation">
<span id="install"></span><h1>Installation<a class="headerlink" href="#installation" title="Permalink to this headline">¶</a></h1>
<div class="section" id="conda">
<h2>Conda<a class="headerlink" href="#conda" title="Permalink to this headline">¶</a></h2>
<div class="section" id="macos">
<h3>MacOS<a class="headerlink" href="#macos" title="Permalink to this headline">¶</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>conda create -c conda-forge -n posydon numpy h5py astropy openmpi-mpicc clang_osx-64 pandas iminuit git-lfs <span class="nv">python</span><span class="o">=</span><span class="m">3</span>.7
<span class="nb">source</span> <span class="o">(</span>conda<span class="o">)</span> activate posydon
mkdir -p <span class="nv">$CONDA_PREFIX</span>/etc/conda/activate.d
mkdir -p <span class="nv">$CONDA_PREFIX</span>/etc/conda/deactivate.d
<span class="nb">echo</span> <span class="se">\#\!</span>/bin/sh &gt; <span class="nv">$CONDA_PREFIX</span>/etc/conda/activate.d/env_vars.sh
<span class="nb">echo</span> <span class="nb">export</span> <span class="nv">PATH_TO_POSYDON</span><span class="o">=</span><span class="nv">$HOME</span>/POSYDON &gt;&gt; <span class="nv">$CONDA_PREFIX</span>/etc/conda/activate.d/env_vars.sh
<span class="nb">echo</span> <span class="se">\#\!</span>/bin/sh &gt; <span class="nv">$CONDA_PREFIX</span>/etc/conda/deactivate.d/env_vars.sh
<span class="nb">echo</span> <span class="nb">unset</span> <span class="nv">PATH_TO_POSYDON</span><span class="o">=</span><span class="nv">$HOME</span>/POSYDON &gt;&gt; <span class="nv">$CONDA_PREFIX</span>/etc/conda/deactivate.d/env_vars.sh
git clone --recurse-submodules https://github.com/POSYDON-code/POSYDON.git <span class="nv">$HOME</span>/POSYDON
<span class="nb">cd</span> <span class="nv">$HOME</span>/POSYDON
pip install .
<span class="c1"># For complete ML functionality install the ML depdencies</span>
pip install .<span class="o">[</span>ml<span class="o">]</span>
</pre></div>
</div>
</div>
<div class="section" id="unix">
<h3>Unix<a class="headerlink" href="#unix" title="Permalink to this headline">¶</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>conda create -c conda-forge -n posydon numpy h5py gcc_linux-64 mpicc-openmpi astropy pandas iminuit <span class="nv">python</span><span class="o">=</span><span class="m">3</span>.7
<span class="nb">source</span> <span class="o">(</span>conda<span class="o">)</span> activate posydon
git clone https://github.com/POSYDON-code/POSYDON.git
<span class="nb">cd</span> POSYDON
pip install .
</pre></div>
</div>
</div>
<div class="section" id="installation-notes-faq">
<h3>Installation Notes/FAQ<a class="headerlink" href="#installation-notes-faq" title="Permalink to this headline">¶</a></h3>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>USING IPYTHON OR JUPYTER-NOTEBOOKS WITH COSMIC ENVIRONMENT</p>
<p>Please note that using the global instance of the conda jupyter-notebook
or ipython will most likely fail when trying to use posydon.
PLEASE explciitly install both into the posydon environment with either</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">install</span> <span class="pre">jupyter</span> <span class="pre">ipython</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">jupyter</span> <span class="pre">ipython</span></code></p>
</div>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="../run_mesa_grids/inifile.html" class="btn btn-neutral float-right" title="Configuration files for POSYDON" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="../index.html" class="btn btn-neutral float-left" title="Welcome to POSYDON’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>